﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PLCTool.Views.BasicConfigView
{
    /// <summary>
    /// AddOrEditSchView.xaml 的交互逻辑
    /// </summary>
    public partial class AddOrEditSchView : UserControl
    {
        public AddOrEditSchView()
        {
            InitializeComponent();
        }

        private void txtBefore_KeyDown(object sender, KeyEventArgs e)
        {
            var textbox = sender as TextBox;
            if (e.Key == Key.Enter &&
                !(Keyboard.IsKeyDown(Key.LeftCtrl) || Keyboard.IsKeyDown(Key.RightCtrl)) &&
                !(Keyboard.IsKeyDown(Key.LeftShift) || Keyboard.IsKeyDown(Key.LeftShift)))
            {
                textbox.Text = "";
                e.Handled = true;
            }
        }

        private void txtIn_KeyDown(object sender, KeyEventArgs e)
        {
            var textbox = sender as TextBox;
            if (e.Key == Key.Enter &&
                !(Keyboard.IsKeyDown(Key.LeftCtrl) || Keyboard.IsKeyDown(Key.RightCtrl)) &&
                !(Keyboard.IsKeyDown(Key.LeftShift) || Keyboard.IsKeyDown(Key.LeftShift)))
            {
                textbox.Text = "";
                e.Handled = true;
            }
        }

        private void txtOut_KeyDown(object sender, KeyEventArgs e)
        {
            var textbox = sender as TextBox;
            if (e.Key == Key.Enter &&
                !(Keyboard.IsKeyDown(Key.LeftCtrl) || Keyboard.IsKeyDown(Key.RightCtrl)) &&
                !(Keyboard.IsKeyDown(Key.LeftShift) || Keyboard.IsKeyDown(Key.LeftShift)))
            {
                textbox.Text = "";
                e.Handled = true;
            }

        }

        private void btnAlarm_Click(object sender, RoutedEventArgs e)
        {
            if (btnAlarm.Content.ToString() == ">>打开已有项")
            {
                //另一列显示已有项
                this.EditGrid.SetValue(Grid.ColumnSpanProperty, 1);
                btnAlarm.Content = ">>收起已有项";
                DoubleAnimation daX = new DoubleAnimation();
                //指定起点
                daX.From = 600;
                //指定终点
                daX.To = 300;
                //指定时长
                Duration duration = new Duration(TimeSpan.FromMilliseconds(200));
                daX.Duration = duration;
                //动画的主题是TranslateTransform变形，而非Button
                tt.BeginAnimation(TranslateTransform.XProperty, daX);
            }
            else
            {
                if (btnAlarm.Content.ToString() == ">>收起已有项")
                {    //横跨两列
                    this.EditGrid.SetValue(Grid.ColumnSpanProperty, 2);
                    btnAlarm.Content = ">>打开已有项";
                    DoubleAnimation daX = new DoubleAnimation();
                    //指定起点
                    daX.From = 300;
                    //指定终点
                    daX.To = 600;
                    //指定时长
                    Duration duration = new Duration(TimeSpan.FromMilliseconds(200));
                    daX.Duration = duration;
                    //动画的主题是TranslateTransform变形，而非Button
                    tt.BeginAnimation(TranslateTransform.XProperty, daX);
                }

            }
        }
    }
}
